Bug 865779 (CVE-2012-4512)

Summary: CVE-2012-4512 kdelibs: Heap-based buffer overflow when parsing location of a font face source
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: dvratil, fweimer, jgrulich, security-response-team, than
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20121030,reported=20121011,source=oss-security,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/kdelibs=notaffected,rhel-6/kdelibs=affected,fedora-all/kdelibs=notaffected,cwe=CWE-122[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-30 14:51:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 866228, 866230    
Bug Blocks: 865878    
Attachments:
Description Flags
Patch that should fix this bug none

Description Jan Lieskovsky 2012-10-12 08:35:39 EDT
A heap-based buffer overflow flaw was found in the way CSS parser DOM implementation of KDE libraries performed parsing of a location of the source for a particular font face. A remote attacker could provide a specially-crafted web page that, when opened in an application linked against KDE libraries (such as konqueror), would lead to that application crash or, potentially, arbitrary code execution with the privileges of the user running the application.

Upstream patch:
[1] http://quickgit.kde.org/index.php?p=kdelibs.git&a=commitdiff&h=a872c8a969a8bd3706253d6ba24088e4f07f3352

References:
[2] http://www.openwall.com/lists/oss-security/2012/10/10/11
[3] http://www.openwall.com/lists/oss-security/2012/10/11/11
Comment 1 Jan Lieskovsky 2012-10-12 08:39:00 EDT
This issue did NOT affect the version of the kdelibs package, as shipped with Red Hat Enterprise Linux 5 as it did not provide a functionality for parsing location of the font face source yet.

--

This issue affects the version of the kdelibs package, as shipped with Red Hat Enterprise Linux 6.

--

This issue did NOT affect the versions of the kdelibs package, as shipped with Fedora release of 16 and 17 (as they are already updated with aforementioned upstream patch).
Comment 7 Jan Grulich 2012-10-15 07:09:07 EDT
Created attachment 627302 [details]
Patch that should fix this bug
Comment 9 Vincent Danen 2012-10-30 12:27:00 EDT
This is now public:

http://seclists.org/oss-sec/2012/q4/171
Comment 10 errata-xmlrpc 2012-10-30 13:16:12 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1416 https://rhn.redhat.com/errata/RHSA-2012-1416.html
Comment 11 errata-xmlrpc 2012-10-30 13:36:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1418 https://rhn.redhat.com/errata/RHSA-2012-1418.html